Index: src/test/regress/expected/alter_table.out
===================================================================
RCS file: /var/lib/cvs/pgsql/src/test/regress/expected/alter_table.out,v
retrieving revision 1.45
diff -c -r1.45 alter_table.out
*** src/test/regress/expected/alter_table.out	12 Jul 2002 18:43:19 -0000	1.45
--- src/test/regress/expected/alter_table.out	25 Jul 2002 03:35:30 -0000
***************
*** 615,624 ****
  alter table pg_class alter relname set not null;
  ERROR:  ALTER TABLE: relation "pg_class" is a system catalog
  -- try altering non-existent table, should fail
! alter table foo alter column bar set not null;
! ERROR:  Relation "foo" does not exist
! alter table foo alter column bar drop not null;
! ERROR:  Relation "foo" does not exist
  -- test setting columns to null and not null and vice versa
  -- test checking for null values and primary key
  create table atacc1 (test int not null);
--- 615,624 ----
  alter table pg_class alter relname set not null;
  ERROR:  ALTER TABLE: relation "pg_class" is a system catalog
  -- try altering non-existent table, should fail
! alter table non_existent alter column bar set not null;
! ERROR:  Relation "non_existent" does not exist
! alter table non_existent alter column bar drop not null;
! ERROR:  Relation "non_existent" does not exist
  -- test setting columns to null and not null and vice versa
  -- test checking for null values and primary key
  create table atacc1 (test int not null);
Index: src/test/regress/sql/alter_table.sql
===================================================================
RCS file: /var/lib/cvs/pgsql/src/test/regress/sql/alter_table.sql,v
retrieving revision 1.29
diff -c -r1.29 alter_table.sql
*** src/test/regress/sql/alter_table.sql	12 Jul 2002 18:43:19 -0000	1.29
--- src/test/regress/sql/alter_table.sql	25 Jul 2002 03:35:30 -0000
***************
*** 478,485 ****
  alter table pg_class alter relname set not null;
  
  -- try altering non-existent table, should fail
! alter table foo alter column bar set not null;
! alter table foo alter column bar drop not null;
  
  -- test setting columns to null and not null and vice versa
  -- test checking for null values and primary key
--- 478,485 ----
  alter table pg_class alter relname set not null;
  
  -- try altering non-existent table, should fail
! alter table non_existent alter column bar set not null;
! alter table non_existent alter column bar drop not null;
  
  -- test setting columns to null and not null and vice versa
  -- test checking for null values and primary key
